html{
    scroll-behavior: smooth;
    background-color: #222222;
  }
    .Contenedor{
        margin: auto;
        margin-top: 0px;
        width: 1535px;
        height: auto;
      }
      ::-webkit-scrollbar {
        display: none;
    }
/* MENU  */
#logo{
    padding-top: 10px;
    padding-left: 40px;
    width: 85px; /* ajusta el ancho de la imagen */
    height: 50px; /* ajusta el alto de la imagen */
    display: block; /* muestra la imagen como un bloque */
  }
                        /*LETRA DEL MENU  */
nav ul {
list-style: none;
display: flex;
align-items: center;
}

nav li {
display: inline-block;
margin-right: 50px;
width: 15;
}
              /*LETRA DEL MENU  */
/*CARRUSEL*/
.contenedor1 {
  position: relative;
  height: 700px;
}

.imagen1 {
  position: absolute;
  width: 100%;
  height: 100%;
  visibility: hidden;
  opacity: 0;
}

.imagen1 img {
  height: 100%;
  position: relative;
  left: 50%;
  transform: translateX(-50%);
}

.contenedor1 a{
  position: absolute;
  text-decoration: none;
  color: white;
  font-size: 40px;
  top : 50%;
  transform: translateY(-50%);
}
.siguiente {
  left: 93%;
}
.anterior {
  right: 93%;
}

.boton {
  position: absolute;
  top: 5%;
  left: 95%;
}

.puntos {
  position: absolute;
  top: 93%;
  width: 100%;
  text-align: center;
}
.punto {
  display: inline-block;
  width: 16px;
  height: 16px;
  background-color: white;
  border-radius: 50%;
  margin-right: 5px;
}
.punto:hover {
  cursor: pointer;
  background-color: gray;
}
.contenedor1 a:hover {
  color: gray;
}

.actual {
  visibility: visible;
  opacity: 1;
  transition: visibility 1s, opacity 1s;
}
.activo {
  background-color: gray;
}
/*CARRUSEL*/
a {
text-decoration: none;
color: #fff;
}
                
li a:hover {
color: #ccc;
}
* {
margin: 0;
padding: 0;
font-family: Arial, sans-serif;
font-size: 25px;
}
                /* NAV DEL MENU -INICIO - */
body {
    margin: 0;
    font-family: Arial, sans-serif;
}
header {
    background-color:  #222222;
    color: white;
    text-align: center;
    width: 1535px;
    height: 60px;
    margin-top: -10px;
    padding-right: 10px;
    position: fixed;
 
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
}
section[id] {
    scroll-margin-top: 70px;
}
header nav ul {
    list-style: none;
    padding: 0;
}
header nav ul li {
    display: inline;
    margin-right: 15px;
}
header nav ul li a {
    color: white;
    text-decoration: none;
}
                              /*INICIO ----- IMAGEN DE FONDO*/
.imgtop{
    width: 100%;
    height: 800px;
    background-image: url(/images/fondo4.png);
    background-position: center;
    background-repeat: no-repeat;
    padding: 0px;  
}
                               /*FIN ----- IMAGEN DE FONDO*/
                               
                               /*INICIO ----- TEXTO DE PRESENTACION*/
.hero {
    color: white;
    width: auto;
    height: 500px;
    text-align: center;
    margin-top: -500px; 
}
.hero p{
    margin-top: 20px;
    margin-left: 300px;
    margin-right: 300px;
   align-items: center;
    color: white;
justify-content: center;
}
.texto{
    position: relative;
bottom: 50%;
    width: auto;
    height: 900px;
    
}
.texto h1{
   color: #ffffff;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    text-align: center;
    overflow: hidden;
    opacity: 0;
	transform: scale(0.9);
	transition: .6s ease-in-out all;
}
.texto h1.izquierda { 
	transform: translateX(-10px);
}
.texto h1.visible {
	opacity: 1;
	transform: scale(1) translateX(10);
}
                                /*FIN ----- TEXTO DE PRESENTACION*/
.content {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    padding: 2rem;
}
.Nosotros {
  height: 650px;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    padding-top: 50px;
    padding-left: 200px;
    padding-right: 90px;
}
.Servicios {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    padding: 20px;
}
.Contacto {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    padding: 90px;
    padding-bottom: 50px;
}
 /*Particulas*/
#particles-js{  
    width: auto;
    height: 900px;
    position: absolute;
    top: 10px;
    background-repeat: no-repeat; 
     background-size: 20%;
     background-position: 50% 50%; 
    } 
     /* ---- stats.js ---- */ 
     .count-particles{ 
        background: #000022; 
        position: absolute; 
         width:80px;
         font-size: .8em;
          text-align: left; 
          text-indent: 4px; 
          line-height: 14px; 
          padding-bottom: 2px; 
          font-family: Helvetica, Arial, sans-serif;
          font-weight: bold; 
        } 
        .js-count-particles{ 
            font-size: 1.1em; 
        } 
        #stats, .count-particles{ 
            margin-top: 5px; 
            margin-left: 5px;
         } 
         #stats{ 
            border-radius: 3px 3px 0 0; 
            overflow: hidden; 
        } 
            .count-particles{ 
                border-radius: 0 0 3px 3px; 
            }

            .imgN {
              right: 100px;
              
            }
 /*--------------------------EFECTO FLIPP*/
 .esp{
  width: auto;
  height: 60px;
}
 .ser{
  color: #fff;
  width: auto;
  height: 80px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.li{
  color: #fff;
  height: auto;
  display: flex;
  flex-wrap: wrap;
    position: absolute;
    bottom: 370px;
    left: 40px;
  }
 .container__card{
    max-width: auto;
    margin-top: 50px;
    margin-bottom: 50px;
    perspective: 1000px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
}
.card__father{
    margin: 40px;
    perspective: 1000px;
}
.card__father:hover .cardd{
    transform: rotateY(180deg);
}
.cardd{
    width: 250px;
    height: 300px;
    position: relative;
    transform-style: preserve-3d;
    transition: all 800ms;
}
.card__front,
.card__back{ 
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    backface-visibility: hidden;
    transform-style: preserve-3d;
    border-radius: 20px;
}
.card__front{
    background-size: cover;
    background-position: center;
}
.body__card_front{
    width: 100%;
    height: 100%;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    color:white;
    transform: translateZ(60px);
}
.bg{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(0,0,0,0.5);
    border-radius: 20px;
}
.card__back{
    transform: rotateY(180deg);
    background: #222222;
}
.card__back img{
    width: 100px;
    height: 100px;
    margin-left: 80px;
    margin-top: 110px;
    
}
.body__card_back{
    padding: 40px;
    text-align: center;
    transform: translateZ(60px);
    color:white;
}
.body__card_back p{
    margin-top: 30px;
    font-size: 18px;
}
.body__card_back input{
    padding: 10px 40px;
    margin-top: 30px;
    font-size: 16px;
    cursor: pointer;
    border: none;
    color: white;
    box-shadow: 1px 1px 30px -5px #58B0F6;
    border-radius: 10px;
    transition: box-shadow 600ms;
}
.body__card_back input:hover{
    box-shadow: 1px 1px 30px 0px #449de6;
}
 /*------------NOSOTROS-------------*/
.cardN {
    color: #fff;
    position: relative;
    right: 320px;
    width: 60%;
    text-align: justify;
    margin-bottom: 15px;
  }
  .cardN {
    font-size:100%;
  }

  .cardN1{
    color: #fff;
    position: relative;
    right: 320px;
    width: 60%;
    text-align: justify;
    margin-bottom: 15px;
  }
  .cardN1 {
    font-size:100%;
  }
  .cardN2{
    width: auto;
    color: #fff;
    position: relative;
    right: 75px;
    text-align: justify;
  }
  .cardN2 {
    font-size:100%;
  }
  #imgN{
    bottom: 395px;
    height: 350px;
    width: 510px;
    left: 310px;
    position:relative;
  }
    /*-------------------------*/
.card {
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 1rem;
  margin: 1rem;
  width: 30%;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
.card2 {
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 1rem;
    margin: 1rem;
    width: 30%;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
  /*Contactos*/
  .Contacto{ 
    flex-wrap: wrap;
    height: 500px;
    display: grid;
}

.con{
  flex-wrap: wrap;
    color: white;
    text-align: center;
    margin-bottom: 50px;
}

.mapa{
    position: relative;
    margin-top: -50px;
    margin-right: 540px; 
}

.Direccion {
    position: relative;
    width: 33%;
   color:white;
   left: 750px;
   top: -400px;
} 

.Telefono {
    position: relative;
    width: 33%;
    color:white;
    left: 750px;
    top: -350px;
 } 

.icon {
 float: left;
 width: 35px;
  height: 35px;
  margin-right: 15px
}

.text1{
    display: flex;
    align-items: center;
    width: 350PX;
    height: 35px;
} 

.text1 p{  
    font-size: 19px;
    color:white;
}  
 /*----------------------------------------*//* Boton*/
:root {
  --color-dark: #110d1a;
  --color-primary: #ffffffe7;
  accent-color: var(--color-primary);
}

.wrapper {
  position: relative;
  width: 390px;
  left: 62%;
  bottom: 300px;
}

.c-btn {
  overflow: hidden;
  padding: 0.85rem 2.3rem;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  color: var(--color-primary);
  text-decoration: none;
  border-radius: 15px;
  background-color: transparent;
  backface-visibility: hidden;
  box-shadow: inset 0 0 0 1px var(--color-primary);
  transform: translateZ(0);

  &::after {
    content: "";
    pointer-events: none;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    height: 120%;
    width: 120%;

    border-radius: 20%;
    background-color: var(--color-primary);
    scale: 0 0;
    translate: 0 140%;
    transition: scale 0.6s cubic-bezier(0.215, 0.61, 0.355, 1),
      translate 0.4s cubic-bezier(0.215, 0.61, 0.355, 1);
  }
}

.c-btn__label {
  display: inline-flex;
  align-items: center;
  gap: 1rem;
  z-index: 2;
  font-size: 20px;
  letter-spacing: 0.025em;
  transition: color 0.32s ease-in-out;
}

.c-btn:hover {
  span {
    color: var(--color-dark);
  }

  &:after {
    scale: 1.5 1.5;
    translate: 0 0;
    border-radius: 50%;
  }
} 
/*----------------------------------------*//* Boton*/

 /*---------------------REDES------------------*/
   .ico {
    display: flex;
  justify-content: center;
    width: 28px ;
     height: 28px;
   } 

   .wrapper1 {
    display: inline-flex;
    list-style: none;
  }
  
  .Redes {
    display: flex;
  justify-content: center;
  }
 
  .wrapper1 .icon {
    position: relative;
    border-radius: 50%;
    margin: 10px;
    width: 50px;
    height: 50px;
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }
  
  .wrapper1 .tooltip {
    position: absolute;
    top: 0;
    font-size: 14px;
    background: #ffffff;
    color: #ffffff;
    padding: 5px 8px;
    border-radius: 5px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    opacity: 0;
    pointer-events: none;
    transition: all 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }
  
  .wrapper1 .tooltip::before {
    position: absolute;
    content: "";
    height: 8px;
    width: 8px;
    bottom: -3px;
    left: 50%;
    transform: translate(-50%) rotate(45deg);
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }
  
  .wrapper1 .icon:hover .tooltip {
    top: -45px;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }
  
  .wrapper1 .icon:hover span,
  .wrapper1 .icon:hover .tooltip {
    text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.1);
  }
  
  .wrapper1 .face:hover,
  .wrapper1 .face:hover .tooltip,
  .wrapper1 .face:hover .tooltip::before {
    background:rgb(63, 63, 236);
    color: #ffffff;
  }
  .wrapper1 .insta:hover,
  .wrapper1 .insta:hover .tooltip,
  .wrapper1 .insta:hover .tooltip::before {
    background:rgb(193 53 132);
    color: #ffffff;
  }
  .wrapper1 .tick:hover,
  .wrapper1 .tick:hover .tooltip,
  .wrapper1 .tick:hover .tooltip::before {
    background:rgb(255, 31, 80);
    color: #ffffff;
  }
  .wrapper1 .wats:hover,
  .wrapper1 .wats:hover .tooltip,
  .wrapper1 .wats:hover .tooltip::before {
    background:rgb(37 211 102);
    color: #ffffff;
  }

 /*---------------------REDES------------------*/
footer {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 1rem;
    width: 1485px;
}
footer p{
    font-size: 15px;
}

 /*---------------------FINAL DE DEL QUERY------------------*/

/* Responsive Design */

/* Para pantallas de menos de 768px (tablets y móviles) */
@media (max-width:px) {
    
.Contenedor{
    margin: auto;
    margin-top: 0px;
    width: auto;
    height: 10;
    background-color:  #333;
  }

    .content {
        flex-direction: column;
        align-items: center;
    }

    .card {
        width: 80%;
    }

    header nav ul li {
        display: block;
        margin: 10px 0;
    }
    footer {
        background-color: #333;
        color: white;
        text-align: center;
        padding: 1rem;  
        margin-top: 2rem;
        width: auto;

    }

}
